<?php

/**
 * @file
 * Documentation for Commerce Decoupled Checkout module APIs.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alters data for resource that an order create.
 *
 * @param array $data
 *   The data from post request.
 */
function hook_order_checkout_prepare_alter(array &$data) {
}

/**
 * Alters data for resource that an payment create.
 *
 * @param array $data
 *   The data from post request.
 */
function hook_payment_create_prepare_alter(array &$data) {
}

/**
 * Alters order error message.
 *
 * @param array $message_data
 *   An array with message information, contains 'message' and 'params' keys.
 */
function hook_decoupled_checkout_create_order_error_message_alter(array &$message_data) {
}

/**
 * @} End of "addtogroup hooks".
 */
